Package org.eclipse.graphiti.features.context.impl

# Class MoveConnectionDecoratorContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.features.context.impl.LocationContext
org.eclipse.graphiti.features.context.impl.MoveConnectionDecoratorContext

All Implemented Interfaces:
  `IContext`, `ILocationContext`, `IMoveConnectionDecoratorContext`, `IPropertyBag`

public class MoveConnectionDecoratorContext extends LocationContext implements IMoveConnectionDecoratorContext
The Class MoveConnectionDecoratorContext.

## Constructor Summary

Constructors
Constructor
Description
`MoveConnectionDecoratorContext(ConnectionDecorator connectionDecorator, int x, int y, boolean executeAllowed)`
Creates a new `MoveConnectionDecoratorContext`.

## Method Summary

Modifier and Type
Method
Description
`ConnectionDecorator`
`getConnectionDecorator()`
Gets the connection decorator.
`boolean`
`isExecuteAllowed()`
Checks if execute is allowed.
`protected void`
`setConnectionDecorator(ConnectionDecorator connectionDecorator)`
Sets the connection decorator.
`protected void`
`setExecuteAllowed(boolean executeAllowed)`
Sets the execute allowed.
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### MoveConnectionDecoratorContext

public MoveConnectionDecoratorContext(ConnectionDecorator connectionDecorator, int x, int y, boolean executeAllowed)
Creates a new `MoveConnectionDecoratorContext`.

Parameters:
  `connectionDecorator` - the connection decorator
  `x` - the x
  `y` - the y
  `executeAllowed` - the execute allowed

## Method Details

### getConnectionDecorator

public ConnectionDecorator getConnectionDecorator()
Description copied from interface: `IMoveConnectionDecoratorContext`
Gets the connection decorator.

Specified by:
  `getConnectionDecorator` in interface `IMoveConnectionDecoratorContext`
Returns:
  the connection decorator

### setConnectionDecorator

protected void setConnectionDecorator(ConnectionDecorator connectionDecorator)
Sets the connection decorator.

Parameters:
  `connectionDecorator` - the new connection decorator

### isExecuteAllowed

public boolean isExecuteAllowed()
Description copied from interface: `IMoveConnectionDecoratorContext`
Checks if execute is allowed.

Specified by:
  `isExecuteAllowed` in interface `IMoveConnectionDecoratorContext`
Returns:
  true, if execute is allowed

### setExecuteAllowed

protected void setExecuteAllowed(boolean executeAllowed)
Sets the execute allowed.

Parameters:
  `executeAllowed` - the new execute allowed

### toString

public String toString()

Overrides:
  `toString` in class `LocationContext`